Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/yamada4.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/yamada4.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/yamada4.F	(revision 634)
@@ -5,8 +5,9 @@
      s   ,zlev,zlay,u,v,teta,cd,q2,km,kn,kq,ustar
      s   ,iflag_pbl)
+      use dimphy
       IMPLICIT NONE
 c.......................................................................
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 c.......................................................................
 c
@@ -64,6 +65,6 @@
 
       integer nlay,nlev
-      PARAMETER (nlay=klev)
-      PARAMETER (nlev=klev+1)
+cym      PARAMETER (nlay=klev)
+cym      PARAMETER (nlev=klev+1)
 
       logical first
@@ -82,7 +83,7 @@
       real dtetadz(klon,klev+1)
       real m2cstat,mcstat,kmcstat
-      real l(klon,klev+1),l0(klon)
-      save l0
-
+      real l(klon,klev+1)
+      real,allocatable,save :: l0(:)
+      
       real sq(klon),sqz(klon),zz(klon,klev+1)
       integer iter
@@ -95,9 +96,12 @@
       real fl,zzz,zl0,zq2,zn2
 
-      real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
-     s  ,lyam(klon,klev),knyam(klon,klev)
-     s  ,w2yam(klon,klev),t2yam(klon,klev)
-      common/pbldiag/rino,smyam,styam,lyam,knyam,w2yam,t2yam
-
+cym      real rino(klon,klev+1),smyam(klon,klev),styam(klon,klev)
+cym     s  ,lyam(klon,klev),knyam(klon,klev)
+cym     s  ,w2yam(klon,klev),t2yam(klon,klev)
+      real,allocatable,save,dimension(:,:) :: rino,smyam,styam,lyam,
+     s                                        knyam,w2yam,t2yam
+cym      common/pbldiag/rino,smyam,styam,lyam,knyam,w2yam,t2yam
+      logical,save :: firstcall=.true.
+      
       frif(ri)=0.6588*(ri+0.1776-sqrt(ri*ri-0.3221*ri+0.03156))
       falpha(ri)=1.318*(0.2231-ri)/(0.2341-ri)
@@ -106,4 +110,17 @@
      s     max(min(l0(ig)*kap*zlev(ig,k)/(kap*zlev(ig,k)+l0(ig))
      s     ,0.5*sqrt(q2(ig,k))/sqrt(max(n2(ig,k),1.e-10))) ,1.)
+
+
+      nlay=klev
+      nlev=klev+1
+      
+      if (firstcall) then
+        allocate(rino(klon,klev+1),smyam(klon,klev),styam(klon,klev))
+        allocate(lyam(klon,klev),knyam(klon,klev))
+        allocate(w2yam(klon,klev),t2yam(klon,klev))
+	allocate(l0(klon))
+	firstcall=.false.
+      endif
+
 
       if (.not.(iflag_pbl.ge.6.and.iflag_pbl.le.9)) then
Index: /LMDZ4/branches/LMDZ4_par_0/physiq.def
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/physiq.def	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/physiq.def	(revision 634)
@@ -4,8 +4,8 @@
 
 OCEAN=force 
-VEGET=y
-OK_journe=n
+VEGET=n
+OK_journe=y
 OK_mensuel=y
-OK_instan=n
+OK_instan=y
 if_ebil=0
 #
